Name:           tanglet
Version:        1.2.1
Release:        %mkrel 3

Summary:        Word finding game
Group:          Games/Puzzles
License:        GPLv3+
URL:            http://gottcode.org/%{name}/

Source:         http://gottcode.org/%{name}/%{name}-%{version}-src.tar.bz2

BuildRequires:  qt4-devel

%description
A single player word finding game based on Boggle. The object of the
game is to list as many words as you can before the time runs out.
There are several timer modes that determine how much time you start
with, and if you get extra time when you find a word.
You can join letters horizontally, vertically, or diagonally in any
direction to make a word, so as long as the letters are next to each
other on the board. However, you can not reuse the same letter cells
in a single word. Also, each word must be at least three letters on
a normal board, and four letters on a large board.

%prep
%setup -q -n %{name}-%{version}

%build
qmake PREFIX=%{_prefix}
%make

%install

%makeinstall INSTALL_ROOT=%{buildroot}
%__mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Tanglet
Name[en_GB]=Tanglet
Name[es]=Tanglet
Exec=tanglet
Icon=tanglet
Type=Application
GenericName=Word Finding Game
GenericName[en_GB]=Word Finding Game
GenericName[es]=Juego de encontrar palabras
Comment=Single player variant of Boggle
Comment[en_GB]=Single player variant of Boggle
Comment[es]=Juego de un jugador variante de Boggle
Terminal=false
Categories=Qt;KDE;Game;LogicGame;
EOF

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/128x128/apps/tanglet.png
%{_iconsdir}/hicolor/16x16/apps/tanglet.png
%{_iconsdir}/hicolor/22x22/apps/tanglet.png
%{_iconsdir}/hicolor/24x24/apps/tanglet.png
%{_iconsdir}/hicolor/256x256/apps/tanglet.png
%{_iconsdir}/hicolor/32x32/apps/tanglet.png
%{_iconsdir}/hicolor/64x64/apps/tanglet.png
%{_iconsdir}/hicolor/scalable/apps/tanglet.svg
%{_datadir}/pixmaps/tanglet_32.xpm



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-3.mga3
+ Revision: 384035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 juancho <juancho> 1.2.1-2.mga3
+ Revision: 251816
- Removed unneeded g++ BR
- Removed spaces from desktop file entries.

  + vaci0 <vaci0>
    - imported package tanglet

